module key_parser(
    input clk,
    input chipselect,
    input write,
    input [15:0]    address,
    input [15:0]    writedata,
    output [4:0] kp_1,
    output [4:0] kp_2,
    output [4:0] kp_3
);


always_ff @(posedge clk) begin
    if (chipselect && write) begin
        // if address is 0x8000 then
        // writedata contains midi keypress
        if (address == 16'h8000) begin
            kp_1 <= writedata[4:0];
            kp_2 <= writedata[9:5];
            kp_3 <= writedata[14:10];
        end
    end
end
endmodule
