module hpsfreq(
input    clk,
input    chipselect,
input    write,
input bclk,
input [15:0] addr,
input [15:0] writedata,
output [32:0] op
);

parameter num_samples = 48000;
logic [15:0] sin_table [num_samples-1 : 0];

//logic op_val;

logic [27:0] cntr_f;
// Receive data from HPS and store in local memory
always_ff @(posedge clk) begin
    if (chipselect && write) begin
        sin_table[addr] <= writedata;
    end
end

logic [15:0] op_addr = 16'b0;
// Output sin table to DAC @ bclk=48khz

always_ff @(posedge bclk)  begin

    if(!write) begin 
    	if (op_addr == 47999) op_addr <= 0;
        else op_addr <= op_addr + 1;
    end

end


// write the sample
assign    op = (!write) ? { 1'b0, sin_table[op_addr], 16'b0 } : {33{1'b0}};

endmodule
